
<?php

include ("../conexion.php"); 




if (!isset($_GET["cadena_busqueda"])) { $cadena_busqueda=""; } else  { $cadena_busqueda=$_GET["cadena_busqueda"]; }

if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$numfac=$array_cadena_busqueda[1];

	$cdgbar=$array_cadena_busqueda[2];

	$dscart=$array_cadena_busqueda[3];

	

} else {

	$numfac="";

	$cdgbar="";

	$dscart="";

	

}


	 $elimina = "DELETE FROM habladores ";
    $mysqli->query($elimina);



?>

<html>

	<head>

		<title>Modulo Inventario</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

				
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "form_busqueda"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			
		


		function inicio() {

			document.getElementById("form_busqueda").submit();
			document.getElementById("cdgbar").focus();
			document.getElementById("cdgbar").select();

		}

		
		function imprimir_barras() {

		var codigo_imprimir=document.getElementById("codigo_imprimir").value;
		var cantidad=document.getElementById("cantidad").value;

	if ((codigo_imprimir  == "" ) || (cantidad  == "" )) {
		 
		alert ("Alerta no puede imprimir si falta codigo de barras o cantidad, Favor Verifique")
	
		} else {
			window.open("../fpdf/imprimir_barras.php?codigo_imprimir="+codigo_imprimir+"&cantidad="+cantidad);
		 
		 //location.href="../fpdf/imprimir_barras.php?codigo_imprimir="+codigo_imprimir+"&cantidad="+cantidad;
		 
		}

		}
	function imprimir_habaladores() {	
	
	window.open("../fpdf/imprimir_hablador.php");
// href="../fpdf/imprimir_hablador.php"
 
}
		function imprimir() {


			miPopup = window.open("excel_lista_inventario.php");

		}

		

		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {

				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			}

			document.getElementById("form_busqueda").submit();

		}

		

		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		

		function hacer_cadena_busqueda() {

			var numfac=document.getElementById("numfac").value;

			var cdgbar=document.getElementById("cdgbar").value;

			var dscart=document.getElementById("dscart").value;			

			//var modbus=document.getElementById("modbus").value;

			var cadena="";

			cadena="~"+numfac+"~"+cdgbar+"~"+dscart+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("form_busqueda").reset();
			buscar();
		}

		

		function abreVentana(){

			miPopup = window.open("ventana_articulo.php","miwin","width=700,height=380,scrollbars=yes");

			miPopup.focus();

		}

		

		function validarflotilla(){

			var codigo=document.getElementById("numfac").value;

			miPopup = window.open("comprobararticulo.php?numfac="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>

    <body onLoad="" >



			<div id="zonaVentanas">
<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
                    
    <div  id="formulario" class="contenido">
      <table  width="100%" cellspacing=0 cellpadding=3 border=0>
        
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td align="right">&nbsp;</td>
          <td colspan="2" align="right">&nbsp;</td>
          <td width="11%" rowspan="19" align="center"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></td>
          <td width="11%" rowspan="19" align="center"><a><img src="../img/imprimir_hablador.gif" onClick="imprimir_habaladores()" width="80" height="80"  title="Imprimir Habladores"></a></td>
          <td><div align="center">Código de Barras </div></td>
          <td width="16%" rowspan="4"><a><img src="../img/barcode_reader_256.png" onClick="imprimir_barras()"  name="barras"   id="barras" alt="Imprimir Barras"  width="90" height="90"  title="Imprimir Codigo de Barras"></a></td>
        </tr>
        <tr>
          <td width="1%">&nbsp;</td>
          <td width="11%">Código Barras:</td>
          <td width="11%" align="left"><input id="cdgbar" name="cdgbar" type="text" class="cajaGrande"  autocomplete="off" maxlength="45" value="<?php echo $cdgbar?>"  onFocus="siguienteCampo ='dscart';"  onChange="buscar()"></td>
          <td width="7%" align="left"><div align="center">Factura</div></td>
          <td width="16%" align="left"><input name="numfac" type="text"   class="cajaGrande" id="numfac" value=""   style='text-align:center;'   onFocus="siguienteCampo ='cdgbar';" autocomplete="off" onChange="buscar()" ></td>
          <td width="16%"><input name="codigo_imprimir" type="text"   placeholder="Código" class="cajaGrande" id="codigo_imprimir" value="" maxlength="20" style='text-align:center;'  onFocus="siguienteCampo ='cantidad';" autocomplete="off" onChange="buscar()" ></td>
        </tr>
        <tr>
          <td rowspan="2">&nbsp;</td>
          <td height="14">Descripción:</td>
          <td colspan="3" align="left"><input id="dscart"  type="text" class="cajaGrande" name="dscart"  value="<?php echo $dscart?>"  onFocus="siguienteCampo ='numfac';"  autocomplete="off" onBlur="buscar()" onKeyPress="buscar()" onChange="buscar()"></td>
		  
		  					<td><input name="cantidad" type="text"  placeholder="Cantidad" class="cajaGrande" id="cantidad" value="" maxlength="10"  style='text-align:center;' onFocus="siguienteCampo ='codigo_imprimir';" autocomplete="off" onChange="buscar()" ></td>
		  					<input name="chkhab"  id="chkhab" value="" type="hidden">
                          <input id="posicion" name="posicion" type="hidden" value="" >
        </tr>
        <tr>
          <td height="14">&nbsp;</td>
          <td colspan="3" align="right">&nbsp;</td>

        </tr>
      </table>
    </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Articulos 
				  <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right">Mostrados <select name="paginas" id="paginas"   type"hidden"  onChange="paginar()">

		          </select></td>

	    </table>

	  </div>


				<div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">


							

							<td width="12%" class="totalResultado">CODIGO</td>
							
							<td width="16%" class="totalResultado">COD BARRAS</td>

							<td width="32%" class="totalResultado"><div align="left">DESCRIPCION </div></td>

							<td width="15%" class="totalResultado">EXISTENCIA</td>

							<td width="16%" class="totalResultado">PRECIO VENTA</td>

							<td width="2%" class="totalResultado">&nbsp;</td>

							<td width="1%" class="totalResultado">&nbsp;</td>

							<td width="6%" class="totalResultado">&nbsp;</td>
						</tr>
				</table>
				</div>

				
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  
				  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
				  <iframe style="margin: 0 0 0 0px;" width="100%" height="375" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
				
			  </form>

				<div id="">
				  <div class="aCentro" id="frmresultado">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                      <tr >
                      </tr>
					  <tr id="frmresultado">
                        
                       
                      </tr>
                    </table>
			      </div>
				
			  </div>
			  </div>
		  </div>			



	</body>

</html>

